package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考核指标表考核结果规则枚举
 */
@Getter
@AllArgsConstructor
public enum BasePerformanceIndicatorAssessmentResultRuleEnum {

    ASSESSMENT_RESULT_RULE_ONE("待改进", "评价分数排名后5%，考核组内"),
    ASSESSMENT_RESULT_RULE_TWO("不称职", "评价分数低于75分（不含75分）"),
    ASSESSMENT_RESULT_RULE_THREE("不称职", "当月非核心安全+核心扣分字段扣分达10分"),
    ASSESSMENT_RESULT_RULE_FOUR("不称职", "当月触发任一红线行为（=当月评价分不超过70分）"),
    ASSESSMENT_RESULT_RULE_FIVE("取消班组长资格", "管理范围内有2名及以上组员当月评价为不称职"),
    ASSESSMENT_RESULT_RULE_SIX("取消班组长资格", "本人近12月累计两次评价为不称职"),
    ASSESSMENT_RESULT_RULE_SEVEN("待改进", "管理评价得分在本评价组内排名最后1名（不可豁免）"),
    ASSESSMENT_RESULT_RULE_OTHER("其他", "其他");

    private final String name;
    private final String desc;

}
